

function boundaries_structure = gtMakeBoundariesStructure(boundaries, grains)

% from the boundaries and grains volume, start to build the
% boundaries_structure.

nbounds=max(boundaries(:));

for i=1:nbounds
    list=find(boundaries(:,1)==i);
    list=[list;find(boundaries(:,2)==i)];
    boundaries_structure(i).count=length(list);
    list=unique(grains(list));
    if length(list)==2
        boundaries_structure(i).grain1=list(1);
        boundaries_structure(i).grain2=list(2);
    elseif length(list)==1
        disp('one voxel only')
        boundaries_structure(i).grain1=list(1);
        boundaries_structure(i).grain2=[];
    end
    
    if mod(i, 100)==0
        fprintf('done %d percent\n', round(100*i/nbounds))
    end
    
end

save boundaries_structure boundaries_structure