function gtDoAll2_pairs(parameters);
% remove seg2vie.sh
% truncate grainid
% set GrainID in extspot to null
% remove -r 4_grain/*

%gtDoAll2 - simplify to use streamlined HandleSpot2...

%load data
%parameters=[];
if isempty(parameters)
  load('parameters.mat');
end

%cd(parameters.acq.dir);
cand=gtSelectCandidates(0, 619, 10);%zstart, zend, min Ysize

grainID = 1;

fprintf('Candidate list length: %d\n',length(cand));

%dummy=find(cand==19715)




%for i=(dummy+1):length(cand)
  for i=1:length(cand)
  
  close all
  
  if mym(sprintf('select !isnull(GrainID) from %sextspot where (extspotID=%d)',parameters.acq.name,cand(i)));
    % GrainID has already been allocated to this candidate
    continue % bomb out of loop
  end
  
% % request a GrainID to use - use simpler system for test
 % mym(sprintf('insert into %sgrainid set grainID=default',parameters.acq.name));
  %grainID=mym(sprintf('select last_insert_id()'));
 
  
  fprintf('now looking at candidate %d of %d (family belonging to extspot(%d)) using grainID %d\n',i,length(cand),cand(i),grainID);
  
  %~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  accept = gtHandleSpot2_360(cand(i),grainID, parameters);
  %~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  if accept
  %~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  gtWriteStack_replaced(grainID);
  gt_select_projections_auto(grainID);
  %~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  
  %~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  gtDoART(grainID);
  %~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  
  %increment grainID
  grainID=grainID+1;
  
  end
  
  cd(parameters.acq.dir);
  close all

end

disp('Done!')
