function cand=gtSelectCandidates(zstart,zend,Ysize)
% function [cand_id]=select_candidates(zstart,zend,Intensity)
% cand_id:     list of "good" initial spots
% zstart:      vertical filter: only spots which are contained between
% zend         zstart and zend will be selected
% Intensity    only spots stronger than average Intensity will be selected

% db enabled
parameters=[];
if isempty(parameters)
  load('parameters.mat');
end

% if parameters.acq.type == '360degree'
% %get the root of the pair name
% name=parameters.acq.pair_tablename;
% name(end-8:end)=[];
% elseif parameters.acq.type == '180degree'
  name=parameters.acq.name;
% else
%   disp('unrecognised data type!')
% return
% end

cand=[];

int=[];
counter=1;
mym('close')
gtDBConnect
% want ro return list of struct_ids where boundingbox of spot is within
% range of zstart and zend, and intensity is great than intensity

cand=mym(sprintf([...
  'select %sbb.extspotID from %sbb inner join %sbboxes on %sbb.bbID=%sbboxes.bboxID '...
  'where (Yorigin<%d) and (Yorigin+Ysize)>%d and Ysize>%d and isnull(GrainID) order by Ysize desc'],...
  name,name,name,name,name,...%
	zend,zstart,Ysize));



